summaryrefslogtreecommitdiffstats
path: root/jjb/releng/verify-releng.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/releng/verify-releng.sh')
-rwxr-xr-xjjb/releng/verify-releng.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/jjb/releng/verify-releng.sh b/jjb/releng/verify-releng.sh
new file mode 100755
index 000000000..5c2dbff7a
--- /dev/null
+++ b/jjb/releng/verify-releng.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2016 Linux Foundation and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+#test for non-ascii characters, these can pass the test and end up breaking things in production
+for x in $(find . -name *\.yml); do
+
+ if LC_ALL=C grep -q '[^[:print:][:space:]]' "$x"; then
+ echo "file "$x" contains non-ascii characters"
+ exit 1
+ fi
+
+done
+
+source /opt/virtualenv/jenkins-job-builder/bin/activate
+jenkins-jobs test -o job_output -r jjb/